Bug 1013666 - The rhevm bridge is configured with BOOTPROTO=dhcp even if the interface is configured as static.
The rhevm bridge is configured with BOOTPROTO=dhcp even if the interface is c...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Yedidyah Bar David
Depends On:
Blocks: 1019461
  Show dependency treegraph
Reported: 2013-09-30 10:42 EDT by Roman Hodain
Modified: 2014-01-21 11:54 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-21 11:54:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 22399 None None None Never
oVirt gerrit 22475 None None None Never

  None (edit)
Description Roman Hodain 2013-09-30 10:42:44 EDT
Description of problem:
   Even if the interface for which is supposed to be used for rhevm network has static address defined the rhevm bridge is configured as dhcp. This may change the IP of the hypervisor and interrupt the network connection.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set a static IP for eth0 on the hypervisor
2. run ovirt-hosted-engine-setup and use this interface for rhevm
3. Check the ifcdg-rhem configuration file

Actual results:

Expected results:
BOOTPROTO is inherited from the interface.

Additional info:
Comment 3 Sandro Bonazzola 2013-12-17 03:30:10 EST
patch merged on upstream master branch for 3.4.0.
Comment 4 Sandro Bonazzola 2013-12-17 10:47:15 EST
patch merged also on upstream 1.0 branch for 3.3.0.
Comment 6 errata-xmlrpc 2014-01-21 11:54:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.